\begin{table}[H]
    \small
    \label{tbl:implicent2}
    \begin{tabular}{|c|l|c|c|c|c|c|c|c|c|c|c|} 
        \hline
        \multicolumn{2}{|c|}{\multirow{3}{*}{Имплиценты}} & \multicolumn{10}{c|}{0-кубы}                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   \\ 
        \cline{3-12}
        \multicolumn{2}{|c|}{}                            & \begin{tabular}[c]{@{}c@{}}0\\0\\1\\0\\0\end{tabular} & \begin{tabular}[c]{@{}c@{}}0\\0\\1\\0\\1\end{tabular} & \begin{tabular}[c]{@{}c@{}}0\\1\\0\\0\\0\end{tabular} & \begin{tabular}[c]{@{}c@{}}0\\1\\0\\1\\1\end{tabular} & \begin{tabular}[c]{@{}c@{}}0\\1\\1\\0\\0\end{tabular} & \begin{tabular}[c]{@{}c@{}}0\\1\\1\\1\\1\end{tabular} & \begin{tabular}[c]{@{}c@{}}1\\0\\0\\1\\1\end{tabular} & \begin{tabular}[c]{@{}c@{}}1\\0\\1\\1\\1\end{tabular} & \begin{tabular}[c]{@{}c@{}}1\\1\\1\\0\\1\end{tabular} & \begin{tabular}[c]{@{}c@{}}1\\1\\1\\1\\1\end{tabular}  \\ 
        \cline{3-12}
        \multicolumn{2}{|c|}{}                            & \multicolumn{1}{l|}{a}                                & \multicolumn{1}{l|}{b}                                & \multicolumn{1}{l|}{c}                                & \multicolumn{1}{l|}{d}                                & \multicolumn{1}{l|}{e}                                & \multicolumn{1}{l|}{f}                                & \multicolumn{1}{l|}{g}                                & \multicolumn{1}{l|}{h}                                & \multicolumn{1}{l|}{j}                                & \multicolumn{1}{l|}{i}                                 \\ 
        \hline
        00x01 & A                                         &                                                       & ~*~                                                   &                                                       &                                                       &                                                       &                                                       &                                                       &                                                       &                                                       &                                                        \\ 
        \hline
        0010x & B                                         & ~*~                                                   & ~*~                                                   &                                                       &                                                       &                                                       &                                                       &                                                       &                                                       &                                                       &                                                        \\ 
        \hline
        0x100 & C                                         & ~*~                                                   &                                                       &                                                       &                                                       & ~*~                                                   &                                                       &                                                       &                                                       &                                                       &                                                        \\ 
        \hline
        0100x & D                                         &                                                       &                                                       & ~*~                                                   &                                                       &                                                       &                                                       &                                                       &                                                       &                                                       &                                                        \\ 
        \hline
        01x00 & E                                         &                                                       &                                                       & ~*~                                                   &                                                       & ~*~                                                   &                                                       &                                                       &                                                       &                                                       &                                                        \\ 
        \hline
        010x1 & F                                         &                                                       &                                                       &                                                       & ~*~                                                   &                                                       &                                                       &                                                       &                                                       &                                                       &                                                        \\ 
        \hline
        01x11 & G                                         &                                                       &                                                       &                                                       & ~*~                                                   &                                                       & ~*~                                                   &                                                       &                                                       &                                                       &                                                        \\ 
        \hline
        x1111 & H                                         &                                                       &                                                       &                                                       &                                                       &                                                       & ~*~                                                   &                                                       &                                                       &                                                       & ~*~                                                    \\ 
        \hline
        100x1 & I                                         &                                                       &                                                       &                                                       &                                                       &                                                       &                                                       & ~*~                                                   &                                                       &                                                       &                                                        \\ 
        \hline
        11x01 & J                                         &                                                       &                                                       &                                                       &                                                       &                                                       &                                                       &                                                       &                                                       & ~*~                                                   &                                                        \\ 
        \hline
        111x1 & K                                         &                                                       &                                                       &                                                       &                                                       &                                                       &                                                       &                                                       &                                                       & ~*~                                                   & ~*~                                                    \\ 
        \hline
        10x1x & L                                         &                                                       &                                                       &                                                       &                                                       &                                                       &                                                       & ~*~                                                   & ~*~                                                   &                                                       &                                                        \\ 
        \hline
        1x11x & M                                         &                                                       &                                                       &                                                       &                                                       &                                                       &                                                       &                                                       & ~*~                                                   &                                                       & ~*~                                                    \\
        \hline
    \end{tabular}
\end{table}